Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001714Zandronum[All Projects] Bugpublic2014-02-21 16:112015-04-01 19:45
ReporterHypnotoad 
Assigned To 
PrioritynormalSeveritycrashReproducibilityrandom
StatusclosedResolutionno change required 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version 
Target VersionFixed in Version 
Summary0001714: Very fatal error on Zanrun
DescriptionOccasionally, my zanrun servers crash and I have no idea why. I have attached a crash dump and the pk3. Here also is a link to the pk3 used by the server:http://static.best-ever.org/wads/zanrunb20.pk3 [^]
Attached Fileszip file icon zanrunCTF2.zip [^] (39,169 bytes) 2014-02-21 16:11

- Relationships

-  Notes
User avatar (0008258)
AlienOverlord (reporter)
2014-02-21 16:43
edited on: 2014-02-21 16:58

p_acs.cpp line 7226

    if (state == SCRIPT_PleaseRemove)
    {
        Unlink ();
        if (controller->RunningScripts[script] == this) // <-- BOOM (script was 1202 somehow)
            controller->RunningScripts[script] = NULL;
    }
    else
    {
        this->pc = pc;
        assert (sp == 0);
    }

.text:0049C8E7 cmp dword ptr [esi+2Ch], 7
.text:0049C8EB jnz short loc_49C910
.text:0049C8ED mov ecx, esi
.text:0049C8EF call sub_4926A0
.text:0049C8F4 mov eax, [esi+1Ch]
.text:0049C8F7 mov ecx, [esp+4184h+var_4100]
.text:0049C8FE cmp [ecx+eax*4+1Ch], esi // <-- BOOM
.text:0049C902 lea eax, [ecx+eax*4+1Ch]
.text:0049C906 jnz short loc_49C913
.text:0049C908 mov dword ptr [eax], 0
.text:0049C90E jmp short loc_49C913
.text:0049C8FE cmp [ecx+eax*4+1Ch], esi

(from crash dump) EAX=000004b2

User avatar (0008259)
AlienOverlord (reporter)
2014-02-21 17:05
edited on: 2014-02-21 18:04

We've just found 1202nd script in his ACS code. I don't know how did he compile that though, as it should have caused fatal error.

https://github.com/AlexMax/zanrun/blob/c92e5e211fbf23f70608c0cfed6fd7c9c6755eec/zanrun/scripts/zanrun.acs [^]

User avatar (0008260)
Hypnotoad (reporter)
2014-02-21 17:22

I guess I probably must have compiled it with the zdoom acc by mistake. I guess this can be marked as resolved, unless having script numbers above 999 should still cause a nicer error (e.g. on startup with an explanation) than a very fatal error?
User avatar (0008263)
Dusk (developer)
2014-02-22 01:31

2.0 has a graceful error for those. I don't know whether 1.3 has it too..?
User avatar (0008266)
Torr Samaho (administrator)
2014-02-22 15:04

So far only 2.0 has the added error. I didn't expect people to use script numbers bigger than 999 with the ZDoom 2.3.1 code base.
User avatar (0009424)
Watermelon (developer)
2014-06-15 15:28

Can you test in 2.0?

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Hypnotoad
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2014-02-21 16:11 Hypnotoad New Issue
2014-02-21 16:11 Hypnotoad File Added: zanrunCTF2.zip
2014-02-21 16:43 AlienOverlord Note Added: 0008258
2014-02-21 16:46 AlienOverlord Note Edited: 0008258 View Revisions
2014-02-21 16:48 AlienOverlord Note Edited: 0008258 View Revisions
2014-02-21 16:49 AlienOverlord Note Edited: 0008258 View Revisions
2014-02-21 16:57 AlienOverlord Note Edited: 0008258 View Revisions
2014-02-21 16:58 AlienOverlord Note Edited: 0008258 View Revisions
2014-02-21 17:05 AlienOverlord Note Added: 0008259
2014-02-21 17:05 AlienOverlord Note Edited: 0008259 View Revisions
2014-02-21 17:22 Hypnotoad Note Added: 0008260
2014-02-21 18:04 AlienOverlord Note Edited: 0008259 View Revisions
2014-02-22 01:31 Dusk Note Added: 0008263
2014-02-22 15:04 Torr Samaho Note Added: 0008266
2014-06-15 15:28 Watermelon Note Added: 0009424
2014-06-15 15:28 Watermelon Status new => feedback
2015-04-01 19:45 Dusk Status feedback => closed
2015-04-01 19:45 Dusk Resolution open => no change required






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker